summaryrefslogtreecommitdiff
path: root/dev-python/python-linux-procfs
diff options
context:
space:
mode:
Diffstat (limited to 'dev-python/python-linux-procfs')
-rw-r--r--dev-python/python-linux-procfs/Manifest1
-rw-r--r--dev-python/python-linux-procfs/metadata.xml4
-rw-r--r--dev-python/python-linux-procfs/python-linux-procfs-0.7.1.ebuild11
-rw-r--r--dev-python/python-linux-procfs/python-linux-procfs-0.7.3.ebuild27
4 files changed, 38 insertions, 5 deletions
diff --git a/dev-python/python-linux-procfs/Manifest b/dev-python/python-linux-procfs/Manifest
index c7910a668031..52c70c614e73 100644
--- a/dev-python/python-linux-procfs/Manifest
+++ b/dev-python/python-linux-procfs/Manifest
@@ -1 +1,2 @@
DIST python-linux-procfs-0.7.1.tar.xz 19104 BLAKE2B e6e495ecce77c1ea4c1580c2534e87f769a0057702648ee75bf89f5cbaa944012ba17e69c231977889b9b18d8e9b8d67261361b499ef8a567bed978a207d61ec SHA512 532613cd0feab1317131a3ec30e0730ed48415de333f1430573b7bf0eb5525222dc92db38dab6ff76c27ff10ac0a381975c329441b9ca6011e79bd637482056d
+DIST python-linux-procfs-0.7.3.tar.xz 11412 BLAKE2B 66c22261a3ab9fff68949e2e1e54a07ac5bc365d12e52b8149a02105e2ace85e22be38ec84fb1c97b3d4fec6392998d98252e11454a72135eacae770efa171ae SHA512 fbb4bd5b22ccafd6e8fed853f9bc175f9c7b5fc6795b9641a5e39404a96c1cdfdad7856fa89b3dc91ee9f13e3c76a23c79e3729fdfd7a10df1e46fdbb25aa631
diff --git a/dev-python/python-linux-procfs/metadata.xml b/dev-python/python-linux-procfs/metadata.xml
index 83d00b14c8d4..853174b8f2ab 100644
--- a/dev-python/python-linux-procfs/metadata.xml
+++ b/dev-python/python-linux-procfs/metadata.xml
@@ -1,6 +1,10 @@
<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE pkgmetadata SYSTEM "https://liguros.gitlab.io/dtd/metadata.dtd">
<pkgmetadata>
+ <maintainer type="project">
+ <email>python@gentoo.org</email>
+ <name>Python</name>
+ </maintainer>
<origin>gentoo-staging</origin>
</pkgmetadata> \ No newline at end of file
diff --git a/dev-python/python-linux-procfs/python-linux-procfs-0.7.1.ebuild b/dev-python/python-linux-procfs/python-linux-procfs-0.7.1.ebuild
index e0ce9d21aac2..faa41a7ce40d 100644
--- a/dev-python/python-linux-procfs/python-linux-procfs-0.7.1.ebuild
+++ b/dev-python/python-linux-procfs/python-linux-procfs-0.7.1.ebuild
@@ -1,4 +1,4 @@
-# Copyright 1999-2023 Gentoo Authors
+# Copyright 1999-2024 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=8
@@ -10,8 +10,7 @@ inherit distutils-r1
DESCRIPTION="Python classes to extract information from the Linux kernel /proc files"
HOMEPAGE="
- https://git.kernel.org/pub/scm/libs/python/python-linux-procfs/
- https://kernel.googlesource.com/pub/scm/libs/python/python-linux-procfs/python-linux-procfs/
+ https://git.kernel.org/pub/scm/libs/python/python-linux-procfs/python-linux-procfs.git/
"
SRC_URI="https://cdn.kernel.org/pub/software/libs/python/${PN}/${P}.tar.xz"
@@ -19,8 +18,10 @@ LICENSE="GPL-2"
SLOT="0"
KEYWORDS="~amd64"
-RDEPEND="dev-python/six[${PYTHON_USEDEP}]"
+RDEPEND="
+ dev-python/six[${PYTHON_USEDEP}]
+"
python_test() {
- ${EPYTHON} ./bitmasklist_test.py || die "Tests failed with ${EPYTHON}"
+ "${EPYTHON}" ./bitmasklist_test.py || die "Tests failed with ${EPYTHON}"
}
diff --git a/dev-python/python-linux-procfs/python-linux-procfs-0.7.3.ebuild b/dev-python/python-linux-procfs/python-linux-procfs-0.7.3.ebuild
new file mode 100644
index 000000000000..faa41a7ce40d
--- /dev/null
+++ b/dev-python/python-linux-procfs/python-linux-procfs-0.7.3.ebuild
@@ -0,0 +1,27 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{8,9,10,11,12} )
+
+inherit distutils-r1
+
+DESCRIPTION="Python classes to extract information from the Linux kernel /proc files"
+HOMEPAGE="
+ https://git.kernel.org/pub/scm/libs/python/python-linux-procfs/python-linux-procfs.git/
+"
+SRC_URI="https://cdn.kernel.org/pub/software/libs/python/${PN}/${P}.tar.xz"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~amd64"
+
+RDEPEND="
+ dev-python/six[${PYTHON_USEDEP}]
+"
+
+python_test() {
+ "${EPYTHON}" ./bitmasklist_test.py || die "Tests failed with ${EPYTHON}"
+}